=== debian/changelog ===
lowdown (0.7.9-1) unstable; urgency=medium

  * New upstream release.
  * Add a (minimal) autopkgtest.

 -- Faidon Liambotis <paravoid@debian.org>  Mon, 01 Feb 2021 02:01:23 +0200

lowdown (0.7.7-1) unstable; urgency=medium

  * Initial release. (Closes: #896816)

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 08 Jan 2021 23:33:48 +0200
