=== debian/control ===
Source: lowdown
Priority: optional
Maintainer: Faidon Liambotis <paravoid@debian.org>
Build-Depends:
  debhelper-compat (= 13),
  pkg-config,
  libbsd-dev,
  libmd-dev,
Standards-Version: 4.5.1
Section: text
Homepage: https://kristaps.bsd.lv/lowdown/
Vcs-Browser: https://salsa.debian.org/debian/lowdown
Vcs-Git: https://salsa.debian.org/debian/lowdown.git
Rules-Requires-Root: no

Package: lowdown
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple markdown translator
 Lowdown is a Markdown translator producing HTML5 and roff documents in the ms
 and man formats, LaTeX, gemini, and terminal output.
 .
 Beyond traditional Markdown syntax support, lowdown supports the following
 Markdown features and extensions:
  * autolinking
  * fenced code
  * tables
  * superscripts
  * footnotes
  * disabled inline HTML
  * “smart typography”
  * metadata
  * commonmark (in progress)
  * definition lists
  * extended image attributes

Package: liblowdown-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: Simple markdown translator (development files)
 Lowdown is a Markdown translator producing HTML5 and roff documents in the ms
 and man formats, LaTeX, gemini, and terminal output.
 .
 Beyond traditional Markdown syntax support, lowdown supports the following
 Markdown features and extensions:
  * autolinking
  * fenced code
  * tables
  * superscripts
  * footnotes
  * disabled inline HTML
  * “smart typography”
  * metadata
  * commonmark (in progress)
  * definition lists
  * extended image attributes
 .
 This package contains development libraries, header files, and manpages.
