## lowdown 0.8.0

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 include Makefile.configure
 
-VERSION		 = 0.7.9
+VERSION		 = 0.8.0
 OBJS		 = autolink.o \
 		   buffer.o \
 		   diff.o \
@@ -19,8 +19,7 @@
 		   smartypants.o \
 		   term.o \
 		   tree.o \
-		   util.o \
-		   xmalloc.o
+		   util.o
 COMPAT_OBJS	 = compats.o
 WWWDIR		 = /var/www/vhosts/kristaps.bsd.lv/htdocs/lowdown
 HTMLS		 = archive.html \
@@ -53,14 +52,13 @@
 		   man/lowdown_latex_new.3.html \
 		   man/lowdown_latex_rndr.3.html \
 		   man/lowdown_metaq_free.3.html \
+		   man/lowdown_node_free.3.html \
 		   man/lowdown_nroff_free.3.html \
 		   man/lowdown_nroff_new.3.html \
 		   man/lowdown_nroff_rndr.3.html \
 		   man/lowdown_term_free.3.html \
 		   man/lowdown_term_new.3.html \
 		   man/lowdown_term_rndr.3.html \
-		   man/lowdown_tree_free.3.html \
-		   man/lowdown_tree_new.3.html \
 		   man/lowdown_tree_rndr.3.html
 SOURCES		 = autolink.c \
 		   buffer.c \
@@ -74,19 +72,18 @@
 		   latex.c \
 		   libdiff.c \
 		   library.c \
-		   log.c \
 		   main.c \
 		   nroff.c \
 		   smartypants.c \
 		   term.c \
 		   tests.c \
 		   tree.c \
-		   util.c \
-		   xmalloc.c
+		   util.c
 HEADERS 	 = extern.h \
 		   libdiff.h \
 		   lowdown.h
 PDFS		 = diff.pdf \
+		   diff.diff.pdf \
 		   index.pdf \
 		   index.latex.pdf \
 		   index.mandoc.pdf \
@@ -173,10 +170,10 @@
 
 .md.pdf:
 	./lowdown --nroff-no-numbered -s -Tms $< | \
-		pdfroff -i -mspdf -t -k -Kutf8 > $@
-
-index.latex.pdf: index.md
-	./lowdown -s -Tlatex README.md >index.latex.latex
+		pdfroff -i -mspdf -t -k > $@
+
+index.latex.pdf: index.md $(THUMBS)
+	./lowdown -s -Tlatex index.md >index.latex.latex
 	pdflatex index.latex.latex
 
 index.mandoc.pdf: index.md
@@ -185,7 +182,7 @@
 
 index.nroff.pdf: index.md
 	./lowdown --nroff-no-numbered -s -Tms index.md | \
-		pdfroff -i -mspdf -t -k -Kutf8 > $@
+		pdfroff -i -mspdf -t -k > $@
 
 .xml.html:
 	sblg -t template.xml -s date -o $@ -C $< $< versions.xml
@@ -201,6 +198,10 @@
 
 diff.diff.html: diff.md diff.old.md lowdown-diff
 	./lowdown-diff -s diff.old.md diff.md >$@
+
+diff.diff.pdf: diff.md diff.old.md lowdown-diff
+	./lowdown-diff --nroff-no-numbered -s -Tms diff.old.md diff.md | \
+		pdfroff -i -mspdf -t -k > $@
 
 $(HTMLS): versions.xml
