=== debian/changelog ===
lowdown (0.8.0-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 03 Feb 2021 11:29:00 +0200
