## lowdown 0.8.1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 include Makefile.configure
 
-VERSION		 = 0.8.0
+VERSION		 = 0.8.1
 OBJS		 = autolink.o \
 		   buffer.o \
 		   diff.o \
@@ -84,7 +84,6 @@
 		   lowdown.h
 PDFS		 = diff.pdf \
 		   diff.diff.pdf \
-		   index.pdf \
 		   index.latex.pdf \
 		   index.mandoc.pdf \
 		   index.nroff.pdf
@@ -175,6 +174,7 @@
 index.latex.pdf: index.md $(THUMBS)
 	./lowdown -s -Tlatex index.md >index.latex.latex
 	pdflatex index.latex.latex
+	pdflatex index.latex.latex
 
 index.mandoc.pdf: index.md
 	./lowdown --nroff-no-numbered -s -Tman index.md | \
@@ -252,7 +252,7 @@
 	rm -f index.latex.aux index.latex.latex index.latex.log index.latex.out
 
 distclean: clean
-	rm -f Makefile.configure config.h config.log
+	rm -f Makefile.configure config.h config.log config.h.old config.log.old
 
 regress: lowdown
 	tmp1=`mktemp` ; \
