=== debian/changelog ===
lowdown (0.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 09 Feb 2021 13:40:33 +0200
