## lowdown 0.8.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 include Makefile.configure
 
-VERSION		 = 0.8.1
+VERSION		 = 0.8.2
 OBJS		 = autolink.o \
 		   buffer.o \
 		   diff.o \
@@ -32,6 +32,7 @@
 MANS		 = man/lowdown.1.html \
 		   man/lowdown.3.html \
 		   man/lowdown.5.html \
+		   man/lowdown-diff.1.html \
 		   man/lowdown_buf.3.html \
 		   man/lowdown_buf_diff.3.html \
 		   man/lowdown_buf_free.3.html \
