=== debian/changelog ===
lowdown (0.8.2-1) unstable; urgency=medium

  * New upstream release.
    - Now ships with a separate manpage for lowdown-diff.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 20 Feb 2021 14:34:49 +0200
