=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Priority: optional
 Maintainer: Faidon Liambotis <paravoid@debian.org>
 Build-Depends:
-  debhelper-compat (= 13),
-  pkg-config,
-  libbsd-dev,
-  libmd-dev,
+ debhelper-compat (= 13),
+ libbsd-dev,
+ libmd-dev,
+ pkg-config,
 Standards-Version: 4.5.1
 Section: text
 Homepage: https://kristaps.bsd.lv/lowdown/
@@ -17,8 +17,8 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Simple markdown translator
- Lowdown is a Markdown translator producing HTML5 and roff documents in the ms
- and man formats, LaTeX, gemini, and terminal output.
+ Lowdown is a Markdown translator producing HTML5, roff documents in the ms and
+ man formats, LaTeX, gemini, and terminal output.
  .
  Beyond traditional Markdown syntax support, lowdown supports the following
  Markdown features and extensions:
@@ -40,8 +40,8 @@
 Multi-Arch: same
 Depends: ${misc:Depends}
 Description: Simple markdown translator (development files)
- Lowdown is a Markdown translator producing HTML5 and roff documents in the ms
- and man formats, LaTeX, gemini, and terminal output.
+ Lowdown is a Markdown translator producing HTML5, roff documents in the ms and
+ man formats, LaTeX, gemini, and terminal output.
  .
  Beyond traditional Markdown syntax support, lowdown supports the following
  Markdown features and extensions:
