=== debian/tests/control ===
Test-Command: lowdown LICENSE.md
