=== debian/watch ===
version=4
https://kristaps.bsd.lv/lowdown/snapshots/ \
  lowdown-([\d\.]+)\.tar\.gz debian uupdate
