## lowdown 0.10.0

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 include Makefile.configure
 
-VERSION		 = 0.8.2
+VERSION		 = 0.10.0
 OBJS		 = autolink.o \
 		   buffer.o \
 		   diff.o \
@@ -16,6 +16,7 @@
 		   library.o \
 		   libdiff.o \
 		   nroff.o \
+		   odt.o \
 		   smartypants.o \
 		   term.o \
 		   tree.o \
@@ -57,6 +58,9 @@
 		   man/lowdown_nroff_free.3.html \
 		   man/lowdown_nroff_new.3.html \
 		   man/lowdown_nroff_rndr.3.html \
+		   man/lowdown_odt_free.3.html \
+		   man/lowdown_odt_new.3.html \
+		   man/lowdown_odt_rndr.3.html \
 		   man/lowdown_term_free.3.html \
 		   man/lowdown_term_new.3.html \
 		   man/lowdown_term_rndr.3.html \
@@ -75,6 +79,7 @@
 		   library.c \
 		   main.c \
 		   nroff.c \
+		   odt.c \
 		   smartypants.c \
 		   term.c \
 		   tests.c \
@@ -82,7 +87,8 @@
 		   util.c
 HEADERS 	 = extern.h \
 		   libdiff.h \
-		   lowdown.h
+		   lowdown.h \
+		   term.h
 PDFS		 = diff.pdf \
 		   diff.diff.pdf \
 		   index.latex.pdf \
@@ -97,6 +103,9 @@
 THUMBS		 = screen-mandoc.thumb.jpg \
 		   screen-groff.thumb.jpg \
 		   screen-term.thumb.jpg
+
+# Only for MarkdownTestv1.0.3.
+
 REGRESS_ARGS	 = "--out-no-smarty"
 REGRESS_ARGS	+= "--parse-no-img-ext"
 REGRESS_ARGS	+= "--parse-no-metadata"
@@ -221,7 +230,6 @@
 lowdown.tar.gz:
 	mkdir -p .dist/lowdown-$(VERSION)/
 	mkdir -p .dist/lowdown-$(VERSION)/man
-	mkdir -p .dist/lowdown-$(VERSION)/regress/smarty
 	mkdir -p .dist/lowdown-$(VERSION)/regress/MarkdownTest_1.0.3
 	$(INSTALL) -m 0644 $(HEADERS) .dist/lowdown-$(VERSION)
 	$(INSTALL) -m 0644 $(SOURCES) .dist/lowdown-$(VERSION)
@@ -230,18 +238,30 @@
 	$(INSTALL) -m 0755 configure .dist/lowdown-$(VERSION)
 	$(INSTALL) -m 644 regress/MarkdownTest_1.0.3/*.text \
 		.dist/lowdown-$(VERSION)/regress/MarkdownTest_1.0.3
+	$(INSTALL) -m 644 regress/MarkdownTest_1.0.3/*.md \
+		.dist/lowdown-$(VERSION)/regress/MarkdownTest_1.0.3
 	$(INSTALL) -m 644 regress/MarkdownTest_1.0.3/*.html \
 		.dist/lowdown-$(VERSION)/regress/MarkdownTest_1.0.3
-	$(INSTALL) -m 644 regress/smarty/*.md \
-		.dist/lowdown-$(VERSION)/regress/smarty
-	$(INSTALL) -m 644 regress/smarty/*.html \
-		.dist/lowdown-$(VERSION)/regress/smarty
+	$(INSTALL) -m 644 regress/*.md \
+		.dist/lowdown-$(VERSION)/regress
+	$(INSTALL) -m 644 regress/*.html \
+		.dist/lowdown-$(VERSION)/regress
+	$(INSTALL) -m 644 regress/*.ms \
+		.dist/lowdown-$(VERSION)/regress
+	$(INSTALL) -m 644 regress/*.man \
+		.dist/lowdown-$(VERSION)/regress
+	$(INSTALL) -m 644 regress/*.latex \
+		.dist/lowdown-$(VERSION)/regress
+	$(INSTALL) -m 644 regress/*.gemini \
+		.dist/lowdown-$(VERSION)/regress
 	( cd .dist/ && tar zcf ../$@ lowdown-$(VERSION) )
 	rm -rf .dist/
 
 $(OBJS) $(COMPAT_OBJS) main.o: config.h
 
 $(OBJS): extern.h lowdown.h
+
+term.o: term.h
 
 main.o: lowdown.h
 
@@ -258,8 +278,7 @@
 regress: lowdown
 	tmp1=`mktemp` ; \
 	tmp2=`mktemp` ; \
-	for f in regress/MarkdownTest_1.0.3/*.text ; \
-	do \
+	for f in regress/MarkdownTest_1.0.3/*.text ; do \
 		echo "$$f" ; \
 		want="`dirname \"$$f\"`/`basename \"$$f\" .text`.html" ; \
 		sed -e '/^[ ]*$$/d' "$$want" > $$tmp1 ; \
@@ -270,20 +289,62 @@
 		./lowdown -s -Tlatex "$$f" >/dev/null 2>&1 ; \
 		./lowdown -s -Tman "$$f" >/dev/null 2>&1 ; \
 		./lowdown -s -Tms "$$f" >/dev/null 2>&1 ; \
+		./lowdown -s -Tfodt "$$f" >/dev/null 2>&1 ; \
 		./lowdown -s -Tterm "$$f" >/dev/null 2>&1 ; \
 		./lowdown -s -Ttree "$$f" >/dev/null 2>&1 ; \
 	done  ; \
-	for f in regress/smarty/*.md ; \
-	do \
+	for f in regress/*.md ; do \
 		echo "$$f" ; \
-		./lowdown "$$f" > $$tmp1 ; \
-		diff -uw `dirname $$f`/`basename $$f .md`.html $$tmp1 ; \
-		./lowdown -s -Thtml "$$f" >/dev/null 2>&1 ; \
-		./lowdown -s -Tlatex "$$f" >/dev/null 2>&1 ; \
-		./lowdown -s -Tman "$$f" >/dev/null 2>&1 ; \
-		./lowdown -s -Tms "$$f" >/dev/null 2>&1 ; \
-		./lowdown -s -Tterm "$$f" >/dev/null 2>&1 ; \
-		./lowdown -s -Ttree "$$f" >/dev/null 2>&1 ; \
+		if [ -f regress/`basename $$f .md`.html ]; then \
+			./lowdown -Thtml $$f >$$tmp1 2>&1 ; \
+			diff -uw regress/`basename $$f .md`.html $$tmp1 ; \
+		fi ; \
+		if [ -f regress/`basename $$f .md`.latex ]; then \
+			./lowdown -Tlatex $$f >$$tmp1 2>&1 ; \
+			diff -uw regress/`basename $$f .md`.latex $$tmp1 ; \
+		fi ; \
+		if [ -f regress/`basename $$f .md`.ms ]; then \
+			./lowdown -Tms $$f >$$tmp1 2>&1 ; \
+			diff -uw regress/`basename $$f .md`.ms $$tmp1 ; \
+		fi ; \
+		if [ -f regress/`basename $$f .md`.man ]; then \
+			./lowdown -Tman $$f >$$tmp1 2>&1 ; \
+			diff -uw regress/`basename $$f .md`.man $$tmp1 ; \
+		fi ; \
+		if [ -f regress/`basename $$f .md`.gemini ]; then \
+			./lowdown -Tgemini $$f >$$tmp1 2>&1 ; \
+			diff -uw regress/`basename $$f .md`.gemini $$tmp1 ; \
+		fi ; \
+	done ; \
+	for f in regress/standalone/*.md ; do \
+		echo "$$f" ; \
+		if [ -f regress/standalone/`basename $$f .md`.html ]; then \
+			./lowdown -s -Thtml $$f >$$tmp1 2>&1 ; \
+			diff -uw regress/standalone/`basename $$f .md`.html $$tmp1 ; \
+		fi ; \
+		if [ -f regress/standalone/`basename $$f .md`.latex ]; then \
+			./lowdown -s -Tlatex $$f >$$tmp1 2>&1 ; \
+			diff -uw regress/standalone/`basename $$f .md`.latex $$tmp1 ; \
+		fi ; \
+		if [ -f regress/standalone/`basename $$f .md`.ms ]; then \
+			./lowdown -s -Tms $$f >$$tmp1 2>&1 ; \
+			diff -uw regress/standalone/`basename $$f .md`.ms $$tmp1 ; \
+		fi ; \
+		if [ -f regress/standalone/`basename $$f .md`.man ]; then \
+			./lowdown -s -Tman $$f >$$tmp1 2>&1 ; \
+			diff -uw regress/standalone/`basename $$f .md`.man $$tmp1 ; \
+		fi ; \
+		if [ -f regress/standalone/`basename $$f .md`.gemini ]; then \
+			./lowdown -s -Tgemini $$f >$$tmp1 2>&1 ; \
+			diff -uw regress/standalone/`basename $$f .md`.gemini $$tmp1 ; \
+		fi ; \
+	done ; \
+	for f in regress/metadata/*.md ; do \
+		echo "$$f" ; \
+		if [ -f regress/metadata/`basename $$f .md`.txt ]; then \
+			./lowdown -X test $$f >$$tmp1 2>&1 ; \
+			diff -uw regress/metadata/`basename $$f .md`.txt $$tmp1 ; \
+		fi ; \
 	done ; \
 	rm -f $$tmp1 ; \
 	rm -f $$tmp2
