=== debian/changelog ===
lowdown (0.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 13 Nov 2021 16:47:41 +0200
