=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  libbsd-dev,
  libmd-dev,
  pkg-config,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Section: text
 Homepage: https://kristaps.bsd.lv/lowdown/
 Vcs-Browser: https://salsa.debian.org/debian/lowdown
