=== debian/rules ===
--- 
+++ 
@@ -31,4 +31,3 @@
 override_dh_auto_clean:
 	echo > Makefile.configure
 	dh_auto_clean
-	rm -f config.h.old config.log.old
