=== debian/changelog ===
lowdown (1.0.0-2) unstable; urgency=medium

  * Backport upstream patch to avoid the use of an -ms macro, PI, in the -Tman
    output. This addresses a man warning ("macro 'PI' not defined") which in
    turn is a lintian warning for packages using lowdown to generate their
    manpage(s).
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Sun, 09 Apr 2023 03:39:15 +0300

lowdown (1.0.0-1) unstable; urgency=medium

  * New upstream release.
    - Refresh package description with upstream changes.
    - Override dh_auto_install to install the static library, as before, as
      the upstream "make install" now only installs the main binary.
    - Ship the new ODT styles.xml example as an example file in the main
      lowdown package.
  * Upstream now ships a shared library alongside the previous static one.
    Ship the library in a new liblowdown1 package, and adjust liblowdown-dev
    to Depend on it.
  * Add patch liblowdown-lm to fix an upstream issue where liblowdown.so was
    not linked with libm.
  * Add a temporary hack to pass a linker script to the shared library
    build, to hide symbols that were not meant to be exposed.
  * Mark lowdown as Multi-Arch: foreign. (Closes: #1023362)
  * Link against libmd directly, and not through the (now deprecated) libbsd
    wrappers for it. This adds a new Dependency, but one which was a
    transitive dependency before.
  * Add patch pkg-config-libmd-libbsd to add libmd and libbsd to
    Requires.private in pkg-config, as these are required when linking
    statically against liblowdown.a. (Closes: #1004541)
  * Build-Depend on pkgconf as the main alternative to pkg-config, retaining
    pkg-config to ease backports.
  * Update lintian-overrides to handle an upstream change in the wording of
    our existing override, and to add a new override for source-is-missing for
    regress/diff/diff.html, which is shipped alongside its Markdown source,
    and in fact generated by lowdown itself.
  * Add a couple of autopkgtest tests to ensure liblowdown works, by compiling
    a simple Markdown->HTML test program, executing it, and checking its
    output.
  * Bump Standards-Version to 4.6.1, no other changes needed.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 07 Jan 2023 06:52:41 +0200
