=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
  debhelper-compat (= 13),
  libbsd-dev,
  libmd-dev,
- pkg-config,
-Standards-Version: 4.6.0
+ pkgconf | pkg-config,
+Standards-Version: 4.6.2
 Section: text
 Homepage: https://kristaps.bsd.lv/lowdown/
 Vcs-Browser: https://salsa.debian.org/debian/lowdown
@@ -15,6 +15,7 @@
 
 Package: lowdown
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Simple markdown translator
  Lowdown is a Markdown translator producing HTML5, roff documents in the ms and
@@ -32,13 +33,14 @@
   * metadata
   * commonmark (in progress)
   * definition lists
-  * extended image attributes
+  * extended attributes
+  * task lists
 
 Package: liblowdown-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}
+Depends: liblowdown1 (= ${binary:Version}), ${misc:Depends}
 Description: Simple markdown translator (development files)
  Lowdown is a Markdown translator producing HTML5, roff documents in the ms and
  man formats, LaTeX, gemini, and terminal output.
@@ -55,6 +57,33 @@
   * metadata
   * commonmark (in progress)
   * definition lists
-  * extended image attributes
+  * extended attributes
+  * task lists
  .
  This package contains development libraries, header files, and manpages.
+
+Package: liblowdown1
+Section: libs
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Simple markdown translator (shared library)
+ Lowdown is a Markdown translator producing HTML5, roff documents in the ms and
+ man formats, LaTeX, gemini, and terminal output.
+ .
+ Beyond traditional Markdown syntax support, lowdown supports the following
+ Markdown features and extensions:
+  * autolinking
+  * fenced code
+  * tables
+  * superscripts
+  * footnotes
+  * disabled inline HTML
+  * “smart typography”
+  * metadata
+  * commonmark (in progress)
+  * definition lists
+  * extended attributes
+  * task lists
+ .
+ This package contains the shared runtime library.
