=== debian/tests/control ===
# Test whether the command-line executable works, by passing a well-known
# Markdown file to it.
Test-Command: lowdown LICENSE.md

# Test whether the static library works by compiling and running simple program
Tests: compile-run-static
Depends:
 build-essential,
 pkgconf | pkg-config,
 libmd-dev,
 libbsd-dev,
 liblowdown-dev,

# Test whether the shared library works by compiling and running simple program
Tests: compile-run-shared
Depends:
 build-essential,
 pkgconf | pkg-config,
 liblowdown-dev,
