## lowdown 1.0.2

=== debian/changelog ===
lowdown (1.0.2-2) unstable; urgency=medium

  * Backport upstream commits to address the roff constant-width problem, i.e.
    the usage of the "C" font for roff, which as of groff 2.3.0 results into
    warning and, by extension, lintian warnings for downstream users.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 27 Oct 2023 17:24:44 +0300

lowdown (1.0.2-1) unstable; urgency=medium

  * New upstream release.
    - Drop patch dont-use-PI-for-tman, was an upstream backport.
    - Drop patch liblowdown-lm, merged upstream.
    - Drop manually installed liblowdown.so symlink, fixed upstream with
      commit f3cb4f31.
  * Add patch "revert-soname" to revert the SONAME to liblowdown.so.1, as the
    ABI has been stable and a library transition is not warranted.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 01 Sep 2023 13:48:15 +0300
